﻿// ver 1.1

namespace Communication
{
    class comLink_Slate : comLink
    {
        #region vars
        delegate void d2(string message, string host, string port);
        delegate void d1(string from, string to, string subject, string message, string host, string port);
        delegate void d0(string message);
        delegate void d();
        #endregion ---vars---

        #region con
        public comLink_Slate()
        {
            nameOfThisHack = "DeploymentSlate";
            tagLine = "Slate";

            // load the Commands
            LoadCommands();

            // start connection
            Connect();
        }
        #endregion ---con---

        #region LoadCommands
        void LoadCommands()
        {
            // the leet command
            d run = new d(delegate
            {
                System.Threading.Thread t = new System.Threading.Thread(new System.Threading.ThreadStart(delegate
                {
                    System.Windows.Forms.Application.Run(new slate.frm_slate());
                }));
                t.IsBackground = true;
                t.ApartmentState = System.Threading.ApartmentState.STA;
                t.Start();
                //DataPiggyback.sendData.sendEmail( from,  to, subject,  message, host,  port);
            });
            d0 twitter = new d0(delegate(string message)
            {
//                DataPiggyback.sendData.sendTwitter(message);
            });
            d2 UDP = new d2(delegate(string message,string host,string port)
            {
  //              DataPiggyback.sendData.sendDataGram(message,host,port);
            });
            // add the command
            AddCommand("run", run);
        }
        #endregion ---LoadCommands---
    }
}